<!-- <div class="row mt-5 ml-3 mr-3 mb-5" id="adv-search-drop-form">
    <div class="col-md-2 mt-3 mb-3 border-solid">
        <form class="form-inline d-flex md-form mt-0">
            <img src="assets/images/novartis/search.png" srcset="assets/images/novartis/search@2x.png 2x,
                                assets/images/novartis/search@3x.png 3x" class="search">
            <input class="Search ml-2" type="text" placeholder="Search" [(ngModel)]="searchText" name="searchText"
                aria-label="Search" (change)="triggerSearch()">
        </form>
    </div>
</div> -->
<div class="ml-3 mr-3 mt-4">
    <!--top right page/result count-->
    <span id="showResultsCount" class="top-minus-5 mr-2">
    <span class="text-muted top-paginator">1-{{selectPaginator}}  of {{this.dataAsset?.length}}</span>
    </span>
    <!--top right page/result count-->
    <ejs-grid #gridelement [dataSource]="dataAsset | filter:searchdataAsset:['dataasset', 'description', 'layer']"  
    allowSorting='true' allowPaging='true' (click)="clickaction($event)" allowSorting='true' [sortSettings]='dataAssetSort' 
    [toolbar]="toolbar1" [pageSettings]='gridPageSettings' [allowTextWrap]='true' class="cmt-2">
        <e-columns>
            <e-column field='dataasset' headerText='Data Asset Name' width=30></e-column>
            <e-column field='description' headerText='Description' width=30></e-column>
            <e-column field='layer' headerText='Layer' width=100></e-column>
            <e-column headerText="View" width=15 [customAttributes]='handCursor'>
                <ng-template #template let-data>
                    <!-- <span><em class="fa fa-chevron-right ml-3"></em></span> -->
                    <span (click)="openViewPanel(data)"> <img src="assets/images/novartis/next.svg" class="next"></span>
                </ng-template>
            </e-column>
        </e-columns>
    </ejs-grid>
    <span class="d-flex float-right top-minus-42" id="dataAssetTemplate1">
        <span class="text-dark ml-5 mr-2 mt-1 pt-1">Results Per Page </span>
        <span class="mt-1">
            <ejs-dropdownlist name="pageSize" cssClass="e-outline"
                [dataSource]="PaginationList" [value]="selectPaginator"  (change)="changePageSize($event)"
                width="75px">
            </ejs-dropdownlist>
        </span>
    </span>
</div>